Package csb :: Package bio :: Package io :: Module clans :: Class ClansEntryCollection

[frames] | no frames]

# Class ClansEntryCollection

source code

                  object --+
                           |
        core.AbstractIndexer --+
                               |
    core.BaseCollectionContainer --+
                                   |
    core.ReadOnlyCollectionContainer --+
                                       |
                                      ClansEntryCollection

Read-only container for holding (and internally managing) ClansEntry instances.

Instance Methods

__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `core.BaseCollectionContainer`: `__bool__`, `__contains__`, `__getitem__`, `__iter__`, `__len__`, `__nonzero__`, `__repr__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `core.BaseCollectionContainer`: `last_index`, `length`, `start_index` Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `items` - initialization list
  - `type` - if defined, makes the container type-safe
  - `start_index` - the index of the zero element
Overrides: object.__init__
  (inherited documentation)